@import "variables";
@import "mixins";

.el-form-item {
  margin-bottom: 20px;
  flex-grow: 2;
  &__label {
    display: none;
  }
  &__error {
    padding-top: 0!important;
  }
  &__content {
    margin: 0!important;
  }
}

.form-item__error {
  z-index: 200;
  height: 50px!important;
}

.dx-popup-wrapper .dx-overlay-content {
  background: $background-white!important;
  box-shadow: 0 4px 8px rgba($color-blue-navy-blue, 0.25)!important;
  border-radius: 3px!important;
}

.el-tooltip__popper {
  background: white !important;
  border: 0 !important;
  box-shadow: 0px 0px 8px rgba($color-blue-navy-blue, 0.4);
  color: $background-black !important;
  border-radius: 2px;
  max-width: 220px;
  margin-bottom: 5px !important;
  &.is-error {
    color: $color-error !important;
    box-shadow: 0 0 8px rgba($color-error, 0.4);
    .popper__arrow {
      box-shadow: 0 0 8px rgba($color-error, 0.4);
    }
  }
  .popper__arrow {
    background: white;
    border: 0 !important;
    box-shadow: 0px 0px 8px rgba($color-blue-navy-blue, 0.4);
  }
  .popper__arrow, .popper__arrow::after {
    border-top-color: $style-white!important;
  }
}

